#include <SoftwareSerial.h>

#define BT_RXD 2
#define BT_TXD 3
#define PIN_LED 7

unsigned long previousMillis = 0;  
const long interval = 1000;

SoftwareSerial hc06(BT_RXD, BT_TXD);

void setup() {
  Serial.begin(9600);
  hc06.begin(9600);
  pinMode(PIN_LED, OUTPUT);
}

void loop() {  
  receivePacket();  
}

void receivePacket() {
  char val = hc06.read();
  if (hc06.available())
  {
    Serial.write(hc06.read());
  }
    
  if(val == 'a')
  {
    digitalWrite(PIN_LED, HIGH);    
  }
  if(val == 'b')
  {
    digitalWrite(PIN_LED, LOW);    
  }
}
 
